Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Please Help..Driver Installation

Bigtim92Bigtim92 Member Posts: 2

I am trying to play the Age of Conan trial in dx10 but I can't because apparently my display drivers are out of date. The problem is, I have an ATI Mobiliy Radeon HD 4570 graphics card, and I cannot find drivers anywhere for this card. I need atleast version 9.4, but everything I have tried to download has not worked, I still get the same message saying I need atleast version 9.4 when I try to play. I even have tried downloading a Mobility Modder to install the new drivers but when I did I got a message saying my CPU doesn't support it or something. Can someone please help? I just recently bought this laptop so I could play dx10 games..

Thanks in advance.

Comments

  • spookydomspookydom Member UncommonPosts: 1,782

    Don't know if it's the same prob your having as I had, in my case ATI stoped suporting the graphics card in my laptop in xp, so I installed Omega drivers which can be found here http://www.omegadrivers.net/   Not had a problem since. Don't know if it will fix your issue but hope it helps.

  • Bigtim92Bigtim92 Member Posts: 2

    Thanks for the reply. I don't think that's going to help me though, I don't see an option for Vista 64 bit.

Sign In or Register to comment.